
var base = 'https://coinmarketcap.com/all/views/all/'

var endpoint = require("@runkit/runkit/json-endpoint/1.0.0")
var got = require("got")
var cheerio = require("cheerio")
var trim = require('trim')

endpoint(module.exports, function(req, done)
{
    var url = base
    doit(url, done)
})


function doit(url, done){
    
    got(url)
        .then(response => {
            var $ = cheerio.load(response.body)
            var db = []
            $('tr').each((i, e) => {
              var el = $(e)
              var ob = {}
              ob.id = el.attr('id')
              ob.name = trim(el.find('.currency-name-container').text())
              ob.sym =  trim(el.find('.col-symbol').text())
              ob.cap =  trim(el.find('.market-cap').text())
              ob.price = trim(el.find('.price').text())
              ob.circ = trim(el.find('.circulating-supply').text())
              ob.vol =  trim(el.find('.volume').text())
              ob.h =    trim(el.find('.percent-1h').text())
              ob.d =    trim(el.find('.percent-24h').text())
              ob.w =    trim(el.find('.percent-7d').text())
              if(ob.id && ob.id !== '') db.push(ob)
            })
            done({
                items: db
            })
        })       
}

//doit(base, (res) => console.log(res.items[0]));
